Name:          libcamera
Version:       0.3.2
Release:       1mamba
Summary:       A complex camera support library for Linux, Android, and ChromeOS
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libcamera.org/
Source:        https://git.libcamera.org/libcamera/libcamera.git/v%{version}/libcamera-%{version}.tar.bz2
License:       GPL, LGPL, BSD, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: libdrm-devel
BuildRequires: libdw-devel
BuildRequires: libevent-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgmock-devel
BuildRequires: libgnutls-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libjpeg-devel
BuildRequires: liblttng-ust-devel
BuildRequires: libpython311-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libudev-devel
BuildRequires: libunwind-devel
BuildRequires: libyaml-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libgmock-devel >= 0:1.15.2-1mamba
BuildRequires: meson
BuildRequires: python-ply-py3

%description
A complex camera support library for Linux, Android, and ChromeOS.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Multimedia
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/gstreamer-1.0/libgstlibcamera.so
%{_libdir}/libcamera-base.so.*
%{_libdir}/libcamera.so.*
%ifnarch arm aarch64
%{_libdir}/libcamera/ipa_ipu3.so*
%{_libexecdir}/libcamera/ipu3_ipa_proxy
%{_datadir}/libcamera/ipa/ipu3/uncalibrated.yaml
%endif
%ifarch arm aarch64
%{_libdir}/libcamera/ipa_rkisp1.so*
%{_libdir}/libcamera/ipa_rpi*.so*
%{_libexecdir}/libcamera/raspberrypi_ipa_proxy
%{_libexecdir}/libcamera/rkisp1_ipa_proxy
%dir %{_datadir}/libcamera/ipa/rpi
%{_datadir}/libcamera/ipa/rpi/*
%dir %{_datadir}/libcamera/ipa/rkisp1
%{_datadir}/libcamera/ipa/rkisp1/*
%{_datadir}/libcamera/pipeline/rpi/vc4/example.yaml
%endif
%{_libdir}/libcamera/ipa_soft_simple.so*
%{_libexecdir}/libcamera/soft_ipa_proxy
%{_datadir}/libcamera/ipa/simple/uncalibrated.yaml
%dir %{python3_sitearch}/libcamera
%{python3_sitearch}/libcamera/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libcamera
%{_includedir}/libcamera/*
%{_libdir}/libcamera-base.so
%{_libdir}/libcamera.so
%{_libdir}/pkgconfig/libcamera-base.pc
%{_libdir}/pkgconfig/libcamera.pc
%dir %{_docdir}/libcamera-%{version}
%{_docdir}/libcamera-%{version}/*
%doc README.rst

%files tools
%defattr(-,root,root)
%{_bindir}/cam
%{_bindir}/lc-compliance
%{_bindir}/qcam

%changelog
* Thu Sep 26 2024 Automatic Build System <autodist@openmamba.org> 0.3.2-1mamba
- automatic version update by autodist

* Tue Aug 06 2024 Automatic Build System <autodist@mambasoft.it> 0.3.1-2mamba
- rebuilt by autoport with build requirements: libgmock-devel>=0:1.15.2-1mamba

* Fri Jul 26 2024 Automatic Build System <autodist@openmamba.org> 0.3.1-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 0.3.0-1mamba
- automatic version update by autodist

* Mon Jan 15 2024 Automatic Build System <autodist@openmamba.org> 0.2.0-1mamba
- automatic version update by autodist

* Fri Dec 15 2023 Automatic Build System <autodist@mambasoft.it> 0.1.0-1mamba
- automatic version update by autodist

* Sun Aug 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.5-1mamba
- update to 0.0.5
- rebuilt by autoport with build requirements: libgmock-devel>=:1.14.0-1mamba

* Sun Mar 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.4-2mamba
- libcamera-devel: fix docdir multiple inclusion causing installation error

* Sun Mar 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.4-1mamba
- package created using the webbuild interface
